#include "StdAfx.h"
#include "ChatToolBar.h"
#include "CommonFunction.h"

DUI_BEGIN_MESSAGE_MAP(CChatToolBar, WindowImplBase, FALSE)
    DUI_ON_MSGTYPE(DUI_MSGTYPE_WINDOWINIT, OnPrepare)

    DUI_ON_CLICK_CTRNAME(_T("btn_file"), _OnNotifyBtnFileClick)
    DUI_ON_CLICK_CTRNAME(_T("btn_font"), _OnNotifyBtnFontClick)
    DUI_ON_CLICK_CTRNAME(_T("btn_sticker"), _OnNotifyBtnStickerClick)
DUI_END_MESSAGE_MAP()

CChatToolBar::CChatToolBar(CWnd* pParent):
EmbeddedDUIInMFCWindow(pParent)
{
    m_rcClient.SetRectEmpty();
}

CChatToolBar::~CChatToolBar(void)
{
}

LPCTSTR CChatToolBar::GetWindowClassName() const
{
	return _T("CharToolBar");
}

void CChatToolBar::_OnNotifyBtnFileClick( TNotifyUI& msg )
{
    CChatDlg* pChatDlg = dynamic_cast<CChatDlg*>(m_pParent);
    if(pChatDlg)
    {
        pChatDlg->OnBnClickedButtonFile();   
    }
}

void CChatToolBar::_OnNotifyBtnFontClick( TNotifyUI& msg )
{
    CChatDlg* pChatDlg = dynamic_cast<CChatDlg*>(m_pParent);
    if(pChatDlg)
    {
        pChatDlg->OnBnClickedButtonFont();   
    }
}

void CChatToolBar::_OnNotifyBtnStickerClick( TNotifyUI& msg )
{
    CChatDlg* pChatDlg = dynamic_cast<CChatDlg*>(m_pParent);
    if(pChatDlg)
    {
        pChatDlg->OnBnClickedButtonSticker();   
    }
}

void CChatToolBar::OnPrepare( TNotifyUI& msg )
{
	
}

void CChatToolBar::SetClientRect( CRect rc )
{
	m_rcClient = rc;
	MoveWindow(GetHWND(), m_rcClient.left, m_rcClient.top, m_rcClient.Width(), m_rcClient.Height(), TRUE);
}

void CChatToolBar::LoadSkin()
{
	m_PaintManager.Init(m_hWnd);
	CDialogBuilder dlgBuilder;
	CChatToolBar::CDialogBuilderCallbackEx cb(this);
	CControlUI* pRoot = dlgBuilder.Create(_T("chat_tool_bar.xml"), (UINT)0,  &cb, &m_PaintManager);
	ASSERT(pRoot);
	m_PaintManager.AttachDialog(pRoot);
	m_PaintManager.AddNotifier(this);
}

CDuiString CChatToolBar::GetSkinFile()
{
	return _T("chat_tool_bar.xml");
}

CDuiString CChatToolBar::GetSkinFolder()
{
	return _T("skin\\nTalkRes");
}

void CChatToolBar::OnFinalMessage( HWND hWnd )
{
	WindowImplBase::OnFinalMessage(hWnd);
}

CControlUI* CChatToolBar::CreateControl( LPCTSTR pstrClass )
{
	return NULL;
}

void CChatToolBar::InitWindow()
{
	MoveWindow(GetHWND(), m_rcClient.left, m_rcClient.top, m_rcClient.Width(), m_rcClient.Height(), FALSE);
}

